Lightning 6.0 をリリースしました

Lightningのご利用ありがとうございます。8月上旬に告知していました通り、Lightning Advanced Unit と統合して構造変更した Lightning 6.0 をアップいたしました。

有料の拡張スキンをご利用の方は、評価版のLightning Pro 及び Pro 対応版のスキンへのバージョンアップをよろしくお願いいたします。

Lightning Pro 及び有料プラグイン構成変更における注意点と事前テストのお願い

変更内容について

今までLightningは

  • テーマ「Lightning」
  • プラグイン「Lightning Advanced Unit」
  • プラグイン「VK All in One Expansion Unit」

を最小構成として運用する事を想定していました。

Lightning Advanced Unit は Lightning 固有の拡張でもあるのに別のプラグインとなっているのは、

  • Lightning本体にはあくまで他の案件でも使いやすいように必要最低限のものしか入れたくなかった。
  • Lightning 公開当時はテーマ更新の際も人間のレビュワーによるチェックが入り、承認待ちが長がったので、すばやく改善機能を公開したかった。
  • ウィジェットはテーマに含めていけないと勘違いしていた。

という理由なのですが、現在ではテーマ更新は即時反映となり、ウィジェットの問題もない。
プラグインに分かれている事によって、該当のコードがどこにあるのかわかりにくい・カスタマイズしにくい、という理由から、Lightning本体とLightning Advanced Unit を統合しました。

Lightning 6.0にアップデートすると Lightning Advanced Unit は自動的に停止されます

その際、以下の点が変更されているので、カスタマイズされていたり、業務案件で利用されている方は十分注意してください。

6.0.0 で変更になる点

旧標準モバイルナビゲーション / スライドナビゲーションの廃止

Lightning テーマ標準のナビゲーション及び、横からスライドするタイプのナビゲーションは廃止となり、上から展開されるメニュー(VK Mobile Nav)のみとなります。

横からスライドするナビゲーションは構造上ページ内リンクが出来ない問題があり、また標準のナビゲーションも含めて複数のパターンをメンテナンス維持するにはリソースが足りない為、VK Mobile Nav に一本化して機能強化していく方針です。

※上記動画では最初にナビゲーションの選択をしていますが、6.0.0からはこのナビゲーションのみとなりますので、選択項目は表示されません。

メニュー展開ボタンの位置指定の廃止

モバイルメニューを展開するハンバーガーメニューの位置を左右指定する機能を一旦廃止し、左上のみとさせていただきました。

Lightningの情報をお届けします

VK All in One Expansion Unit

WordPressでウェブサイトを構築する時に毎回沢山のプラグインをインストール・更新するのが手間ではありませんか?
また、気に入ってたテーマの機能があるけれど、テーマを変更するとその機能が使えなくなるからテーマを変更出来ないといった事はないですか?

VK All in One Expansion Unit は最近のウェブサイトに求められる様々な機能を実装した多機能統合型プラグインです。

もちろんプラグインなので、テーマ(デザイン)を何にするかはあなたの自由です。

4 thoughts on “Lightning 6.0 をリリースしました

  1. oroji より:

    WordPressで無料のテーマを利用しているのですが、テーマを有効にすると fatal error:call to undefined function get_called_classというエラーが発生してダッシュボードにも戻れないようになってしまいました。
    インストールし直しても同じことになります。このテーマを使いたいのですがどうやったらエラーが直るでしょうか?
    サイトはとりあえず練習のためちがうテーマで作成しています。

    1. 石川栄和 より:

      サーバー情報などわかりますでしょうか?
      サーバー会社
      プラン / PHPのバージョンなど

      1. oroji より:

        サーバー会社:ロリポップ
        プラン / PHPのバージョンなど:ライトプラン/5.2(CGI版)
        です。

        1. 石川栄和 より:

          WordPressの推奨PHPバージョンは7.2です。
          7.2とまではいかなくても7以上に上げてください。
          https://lolipop.jp/manual/user/php-setting/

          ※原則コメントではサポートは行っておりません。
          今後はフォーラムをご活用ください。

          https://forum.vektor-inc.co.jp/

この投稿はコメントできません。